//
//  SiriPhotoApp.swift
//  Shared
//
//  Created by Neil Smyth on 11/13/20.
//

import SwiftUI
import Intents

@main
struct SiriPhotoApp: App {

    @Environment(\.scenePhase) private var scenePhase
    var photoHandler: PhotoHandler =
        PhotoHandler(userActivity: NSUserActivity(activityType: "Placeholder"))

    var body: some Scene {
        WindowGroup {
            ContentView(photoHandler: photoHandler)
                .onContinueUserActivity(
                            "com.ebookfrenzy.siriphotointent",
                            perform: { userActivity in
                                    photoHandler.userActivity = userActivity
                                    photoHandler.handleActivity()
                                })
        }
        .onChange(of: scenePhase) { phase in
            INPreferences.requestSiriAuthorization({status in
                // Handle errors here
            })
        }

    }
}
