//
//  ContentView.swift
//  Shared
//
//  Created by Neil Smyth on 11/12/20.
//

import SwiftUI

struct ContentView: View {
    
    @State private var imagePickerVisible: Bool = false
    @State private var selectedImage: Image? = Image(systemName: "photo")

    var body: some View {
        ZStack {
            VStack {
                
                selectedImage?
                    .resizable()
                    .aspectRatio(contentMode: .fit)
                    
                Button(action: {
                    withAnimation {
                        self.imagePickerVisible.toggle()
                    }
                }) {
                    Text("Select an Image")
                }
                
            }.padding()
            
            if (imagePickerVisible) {
                MyImagePicker(imagePickerVisible:
                                $imagePickerVisible,
                                   selectedImage: $selectedImage)
            }
        }
    }
}

struct ContentView_Previews: PreviewProvider {
    static var previews: some View {
        ContentView()
    }
}
